## org.apache.mahout.math.hadoop.similarity.cooccurrence.measures
Enum VectorSimilarityMeasures

    java.lang.Object
      java.lang.Enum<VectorSimilarityMeasures>
          org.apache.mahout.math.hadoop.similarity.cooccurrence.measures.VectorSimilarityMeasures

All Implemented Interfaces:
  Serializable, Comparable<VectorSimilarityMeasures>

    public enum VectorSimilarityMeasures

extends Enum<VectorSimilarityMeasures>

Enum Constant Summary
`SIMILARITY_CITY_BLOCK`
`SIMILARITY_COOCCURRENCE`
`SIMILARITY_COSINE`
`SIMILARITY_EUCLIDEAN_DISTANCE`
`SIMILARITY_LOGLIKELIHOOD`
`SIMILARITY_PEARSON_CORRELATION`
`SIMILARITY_TANIMOTO_COEFFICIENT`

Method Summary
`String` `getClassname()`
`static String` `list()`
`static VectorSimilarityMeasures` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static VectorSimilarityMeasures[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SIMILARITY_COOCCURRENCE

    public static final VectorSimilarityMeasures SIMILARITY_COOCCURRENCE

### SIMILARITY_LOGLIKELIHOOD

    public static final VectorSimilarityMeasures SIMILARITY_LOGLIKELIHOOD

### SIMILARITY_TANIMOTO_COEFFICIENT

    public static final VectorSimilarityMeasures SIMILARITY_TANIMOTO_COEFFICIENT

### SIMILARITY_CITY_BLOCK

    public static final VectorSimilarityMeasures SIMILARITY_CITY_BLOCK

### SIMILARITY_COSINE

    public static final VectorSimilarityMeasures SIMILARITY_COSINE

### SIMILARITY_PEARSON_CORRELATION

    public static final VectorSimilarityMeasures SIMILARITY_PEARSON_CORRELATION

### SIMILARITY_EUCLIDEAN_DISTANCE

    public static final VectorSimilarityMeasures SIMILARITY_EUCLIDEAN_DISTANCE

Method Detail

### values

    public static VectorSimilarityMeasures[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (VectorSimilarityMeasures c : VectorSimilarityMeasures.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static VectorSimilarityMeasures valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getClassname

    public String getClassname()

### list

    public static String list()

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.